Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 595728 - Complete submission interface
Summary: Complete submission interface
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: cumin
Version: Development
Hardware: All
OS: Linux
high
medium
Target Milestone: 1.3
: ---
Assignee: messaging-bugs
QA Contact: Jan Sarenik
URL:
Whiteboard:
Depends On:
Blocks: 595746
TreeView+ depends on / blocked
 
Reported: 2010-05-25 13:28 UTC by Justin Ross
Modified: 2010-10-20 11:32 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)

Description Justin Ross 2010-05-25 13:28:45 UTC
* Work out user identity
* Use new qmf interfaces
* Validate extended attributes and transmit type information
* Add universe field

Comment 1 Jan Sarenik 2010-09-03 10:16:54 UTC
Please comment:

* User identity is not worked out AFAIU, Condor has to be configured with
  QUEUE_ALL_USERS_TRUSTED = TRUE

* That probably works (no user-visible change, if you can point me to
  the commit, I can review - e.g. SVN rev. 4038 seems to be one such).

* The validation is not so perfect yet (e.g. " " (i.e. space) can be
  supplied as an argument to Requirements field).

* Universe field is there.

Comment 2 Justin Ross 2010-09-07 15:54:38 UTC
Responses by point.

* By work out user identity, I was referring to something smaller in scope than solving qmf auth issues in general.  I consider this one completed.  Of course, you're correct about the needed configuration.

* No need to verify this one.

* Empty string validation is fixed in revision 4231.

* Agreed!

Comment 3 Jan Sarenik 2010-09-08 06:38:33 UTC
Verified using cumin-0.1.4219-1.el5


Note You need to log in before you can comment on or make changes to this bug.